Bug 4160

Summary: checkpoint-policy configuration needs clarification (5.2.1)
Product: jbatch Reporter: mminella
Component: sourceAssignee: cvignola
Status: CLOSED FIXED    
Severity: normal CC: issues
Priority: P5    
Version: 1   
Target Milestone: ---   
Hardware: All   
OS: All   
Whiteboard:

Description mminella 2012-09-28 14:58:48 UTC
* why does this define a type of policy and not the policy itself?
* If it is to define the type of policy, how are the other attributes configured (where is time configured for example?)?
* Why the separate commit interval and chunk size?  Aren't they synonymous?
* buffer-size is in the table but buffer-reads is in the description above...buffer-reads is what I thought we were going with but buffer-size is a different concept all together.
* skip-limit/retry-limit...is the default no limit or no skip/retry?
Comment 1 cvignola 2012-10-05 18:16:29 UTC
* why does this define a type of policy and not the policy itself?

I don't understand the difference. I would say it does define the policy.  The policy implementation is built into the batch runtime.  If you want to supply another policy you specify "custom" and provide a checkpoint algorithm.


* If it is to define the type of policy, how are the other attributes
configured (where is time configured for example?)?

when checkpoint-policy=time, then the unit of measure on commit-interval specifies seconds.

checkpoint-policy="time" commit-interval="10" <!- 10 seconds -->


* Why the separate commit interval and chunk size?  Aren't they synonymous?
When checkpoint-policy="time" then commit-interval specifies seconds, not items.

* buffer-size is in the table but buffer-reads is in the description
above...buffer-reads is what I thought we were going with but buffer-size is a
different concept all together.

I messed up.  But it's buffer-size we're going with.  We reasoned that chunk-size and commit-interval were indeed synonymous when checkpoint-policy="item", that we needed a way to specify how many items to buffer when checkpoint-policy="time" and that buffer-size=0 and buffer-reads=false were synonymous, so we didn't need both.  So chunk-size and buffer-reads are gone, replaced by buffer-size.

I have to fix his section up.

* skip-limit/retry-limit...is the default no limit or no skip/retry?

Yes, default is no limit, no skip, no retry.   I will make sure this is clear in the spec.
Comment 2 cvignola 2013-01-16 15:38:59 UTC
checkpoint specification has been completely revised in the proposed final draft.  I believe all issues with it are now resolved.